
Foreman - Bug #3649

Hosts need validations of compute attributes

11/14/2013 02:41 PM - Tomáš Strachota

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are currently no validations of compute attributes. Misconfiguration usually causes either general 500 or usage of the default

values without notifying the user. The same applies to network interfaces and volumes.

We need to validate the input and give users better hints of what went wrong.

Related issues:

Related to Foreman - Feature #3650: Listing possible values of compute attrib... Closed 11/14/2013

Related to Foreman - Bug #22037: Compute attributes create and update API mis... New 12/20/2017

Related to Foreman - Bug #23466: Unable to provision host with hammer after u... New

History

#1 - 11/14/2013 02:56 PM - Dominic Cleal

- Related to Feature #3650: Listing possible values of compute attributes added

#2 - 12/20/2017 09:48 AM - Tomáš Strachota

- Related to Bug #22037: Compute attributes create and update API miss validations added

#3 - 09/05/2018 10:32 AM - Tomáš Strachota

- Related to Bug #23466: Unable to provision host with hammer after upgrade to 1.16.1 added

#4 - 04/30/2021 08:06 AM - Leos Stejskal

- Triaged changed from No to Yes
